{% extends "base.html" %}
{% block title %}Tribunal{% endblock %}
{% block body %}
    {{ super() }}


    <div class="form-group boxed table-responsive" id="box_filtro">  
            <label class="my-1 mr-2"><b>Mis TFGs</b></label>
             <form action="" method="post">
            <table id="tableListadoTFG" class="table table-hover">
                <thead>
                  <tr>
                    {% if user.esAdministracion() %}
                    <th scope="col">Nombre</th>
                    {% endif %}
                    <th scope="col">Código</th>
                    <th scope="col">Título</th>
                    <th scope="col">Estado</th>
                    {% if not user.esEstudiante() %}                    
                    <th scope="col">Admitir</th>
                    {% endif %}

                    {% if user.esAdministracion() %}
                    <th scope="col">Público</th>
                    {% endif %}
                    
                  </tr>
                </thead>
                <tbody>
                 
                    {% for tfg in tfgs %}
                    {% if tfg.estado == 0 %}
                    <tr style="background-color:rgb(218, 247, 166)">
                    {% elif tfg.estado == 1 %}
                    <tr style="background-color:rgb(154, 254, 189)">
                    {% elif tfg.estado == 2 %}
                    <tr style="background-color:rgb(254, 192, 154)">
                    {% elif tfg.estado == 3 %}
                    <tr style="background-color:rgb(254, 154, 154)">
                    {% elif tfg.estado == 4 %}
                    <tr style="background-color:rgb(186, 154, 254)">
                    {% elif tfg.estado == 5 %}
                    <tr style="background-color:rgb(154, 210, 254)">
                    {% elif tfg.estado == 6 %}
                    <tr style="background-color:rgb(154, 254, 236)">
                    {% else %}
                    <tr style="background-color:rgb(165, 254, 154)">
                    {% endif %}
                     
                    {% if user.esAdministracion() %}
                    <th scope="row">{{ tfg.getEstudiante(db_session).nombre }}</th>
                    {% endif %}
                    <th scope="row">{{ tfg.codigo }}</th>
                    {% if user.esAdministracion() %}
                    <td><a href="detalleTFG?tfg_codigo={{ tfg.codigo }}">{{ tfg.titulo }}</a></td>
                    {% elif user.esEstudiante() %}
                    <td><a href="detalleTFG?tfg_codigo={{ tfg.codigo }}">{{ tfg.titulo }}</a></td>
                    {% else %}
                    <td>{{ tfg.titulo }}</td>
                    {% endif %}
                    <td>{{ tfg.estadoString }}</td>
                    {% if not user.esEstudiante() %}
                    <td><input type="checkbox" name="codigo" value="{{ tfg.codigo }}"></td>
                    {% endif %}
                    {% if user.esAdministracion() %}
                    
                    <td><input type="checkbox" name="publico" value="{{ tfg.codigo }}"></td>
                    {% endif %}
                        


                    </tr>
                    {% else %}
                        <li><em>No existen TFGs definidos</em></li>
                    {% endfor %} 
                    
                </tbody>
              </table>         
              <a href="home" class="btn btn-primary active" role="button" aria-pressed="true">Volver</a>
              {% if not user.esEstudiante() %}
              <button class="btn btn-primary" type="submit" name="btn_aceptar">Aceptar</button>
              {% endif %}
              <!--{% if user.esAdministracion() %}
              <button class="btn btn-primary" type="submit" name="btn_modificar">Aceptar</button>  
              {% endif %}-->
            </form>                       
            
        </div>      


{% endblock %}